# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-09-22 13:14
from __future__ import unicode_literals

from django.db import migrations


def repopulate_organization_field(apps, schema_editor):
    OrgPubFraction = apps.get_model("journals", "OrgPubFraction")
    PublicationAuthorsTable = apps.get_model("journals", "PublicationAuthorsTable")
    Organization = apps.get_model("organizations", "Organization")

    for frac in OrgPubFraction.objects.filter(org__isnull=False):
        frac.org = Organization.objects.get(name=frac.org.name)
        frac.save()

    for tbl in PublicationAuthorsTable.objects.all():
        for aff in tbl.affiliations.all():
            org = Organization.objects.get(name=aff.name)
            tbl.affs.add(org)
        tbl.save()


class Migration(migrations.Migration):

    dependencies = [
        ("journals", "0038_auto_20180922_1505"),
    ]

    operations = [
        migrations.RunPython(
            repopulate_organization_field, reverse_code=migrations.RunPython.noop
        ),
    ]
