# Generated by Django 3.2.16 on 2023-01-21 08:33

from django.db import migrations

from journals.constants import PUBLISHABLE_OBJECT_TYPE_CODEBASE

def populate_codebases(apps, schema_editor):
    Journal = apps.get_model("journals.Journal")

    for j in Journal.objects.all():
        if "Codebases" in j.name:
            j.publishable_object_types.append(PUBLISHABLE_OBJECT_TYPE_CODEBASE)
            j.save()


class Migration(migrations.Migration):

    dependencies = [
        ('journals', '0125_journal_publishable_object_types'),
    ]

    operations = [
        migrations.RunPython(
            populate_codebases,
            reverse_code=migrations.RunPython.noop,
        )
    ]
