__copyright__ = "Copyright © Stichting SciPost (SciPost Foundation)"
__license__ = "AGPL v3"


from django.db import models


class AutogeneratedFileContentTemplate(models.Model):

    journal = models.ForeignKey(
        "journals.Journal", on_delete=models.CASCADE,
    )
    name = models.CharField(max_length=256)
    description = models.CharField(max_length=128)
    content_template_string = models.TextField(
        help_text="Python template string",
    )

    class Meta:
        ordering = ["journal__doi_label", "name"]

    def __str__(self):
        return ("Autogenerated file template for "
                f"{self.journal.doi_label}: {self.name} ({self.description})")
